.panel.panel-default{"ng-controller" => "YieldPriceCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4 Yield and Price
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:rowspan => "2", :style => "text-align:center;"} Select Crop
            %th{:rowspan => "2", :style => "text-align:center;"} Crop Name
            %th{:colspan => "2", :style => "text-align:center;"} Main Product
            %th{:colspan => "2", :style => "text-align:center;"} By Product
            %th{:rowspan => "2", :style => "text-align:center;"} Potential Yield (q)
          %tr
            %th{:style => "text-align:center;"} Yield (q)
            %th{:style => "text-align:center;"} Price (₹/q)
            %th{:style => "text-align:center;"} Yield (q)
            %th{:style => "text-align:center;"} Price (₹/q)
        %tbody{ "ng-repeat" => "yield_details in data_list "}
          %tr
            %td{:rowspan => "2", :style => "text-align:center;"} {{yield_details.production_cost.crop_number}}
            %td{:style => "text-align:center;"} {{yield_details.crop_list.name}}
            %td{:style => "text-align:center;"} {{yield_details.crop_main_product_yield}}
            %td{:style => "text-align:center;"} {{yield_details.crop_main_product_price}}
            %td{:style => "text-align:center;"} {{yield_details.crop_by_product_yield}}
            %td{:style => "text-align:center;"} {{yield_details.crop_by_product_price}}
            %td{:rowspan => "2", :style => "text-align:center;"} {{yield_details.value}}
            %td{:rowspan => "2", :style => "text-align:center;"}
              %a{ "ng-click" => "edit(yield_details.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td{:rowspan => "2", :style => "text-align:center;"}
              %a{ "ng-click" => "delete(yield_details.id, yield_details.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td{:style => "text-align:center;"} {{yield_details.intercrop_list.name}}
            %td{:style => "text-align:center;"} {{yield_details.intercrop_main_product_yield}}
            %td{:style => "text-align:center;"} {{yield_details.intercrop_main_product_price}}
            %td{:style => "text-align:center;"} {{yield_details.intercrop_by_product_yield}}
            %td{:style => "text-align:center;"} {{yield_details.intercrop_by_product_price}}


        %tr
          %td{:rowspan => 2 }
            %select{"ng-model" => "vm.production_cost", "ng-options" => "production_cost.crop_list.name for production_cost in production_costs track by production_cost.id", :class => "form-control"}
              %option{:value=>'', :selected => 'selected'} Select
          %td {{vm.production_cost.crop_list.name}}
          %td
            = number_field :crop_main_product_yield, '', :class => "form-control", "ng-model" => "vm.crop_main_product_yield"
          %td
            = number_field :crop_main_product_price, '', :class => "form-control", "ng-model" => "vm.crop_main_product_price"
          %td
            = number_field :crop_by_product_yield, '', :class => "form-control", "ng-model" => "vm.crop_by_product_yield"
          %td
            = number_field :crop_by_product_price, '', :class => "form-control", "ng-model" => "vm.crop_by_product_price"
        %tr
          %td {{vm.production_cost.intercrop_list.name}}
          %td
            = number_field :intercrop_main_product_yield, '', :class => "form-control", "ng-model" => "vm.intercrop_main_product_yield"
          %td
            = number_field :intercrop_main_product_price, '', :class => "form-control", "ng-model" => "vm.intercrop_main_product_price"
          %td
            = number_field :intercrop_by_product_yield, '', :class => "form-control", "ng-model" => "vm.intercrop_by_product_yield"
          %td
            = number_field :intercrop_by_product_price, '', :class => "form-control", "ng-model" => "vm.intercrop_by_product_price"

    .col-md-4
      %h5
        %strong Potential Yield (q)
      = number_field :value, '', :class => "form-control", "ng-model" => "vm.value"
    %br
    %br
    %hr

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}